<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="agenda">
      <h2 data-cy="agendaDetailsHeading"><span jhiTranslate="madmApp.agenda.detail.title">Agenda</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ agenda.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.agenda.data">Data</span></dt>
        <dd>
          <span>{{ agenda.data | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.agenda.descricaoPrevia">Descricao Previa</span></dt>
        <dd>
          <span>{{ agenda.descricaoPrevia }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/agenda', agenda.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
